## puppet 2.7.8

=== debian/changelog ===
puppet (2.7.8-1puppetlabs1) hardy jaunty karmic lucid maverick natty oneiric unstable lenny sid squeeze wheezy; urgency=low

  * Release 2.7.8

 -- Matthaus Litteken <matthaus@puppetlabs.com>  Fri, 8 Dec 2011 17:55:27 +0000

puppet (2.7.7-1puppetlabs2) hardy jaunty karmic lucid maverick natty oneiric unstable lenny sid squeeze wheezy; urgency=low

  * Update dependencies. Decrease sysv-rc to 2.86 and update gbp.conf to allow multiple dists per build.

 -- Matthaus Litteken <matthaus@puppetlabs.com>  Fri, 2 Dec 2011 11:55:27 +0000

puppet (2.7.7-1puppetlabs1) hardy jaunty karmic lucid maverick natty oneiric unstable lenny sid squeeze wheezy; urgency=low

  * Update to 2.7.7

 -- Michael Stahnke <stahnma@puppetlabs.com>  Tue, 22 Nov 2011 00:07:27 +0000

puppet (2.7.6-1puppetlabs1) hardy jaunty karmic lucid maverick natty oneiric unstable lenny sid squeeze wheezy; urgency=low

  * Update to 2.7.6
   - Includes fix for CVE-2011-3872

 -- Michael Stahnke <stahnma@puppetlabs.com>  Sun, 23 Oct 2011 15:58:26 -0700

puppet (2.7.3-1puppetlabs1) lenny; urgency=low

  * Update to 2.7.3
    - Ripped out etckeeper
    - s/Reductive/Puppet/g

 -- Michael Stahnke <stahnma@puppetlabs.com>  Sun, 25 Sep 2011 00:38:02 -0700
