## puppet 2.7.10

=== debian/changelog ===
puppet (2.7.10-1) unstable; urgency=low

  * New upstream release
  * Update breaks/replaces for puppetmaster-common (Closes: #656962)
  * Add systemd services for puppet agent and master

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 26 Jan 2012 11:27:00 +0100

puppet (2.7.9-1) unstable; urgency=low

  * New upstream release

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sat, 10 Dec 2011 12:16:32 +0100

puppet (2.7.8-1) unstable; urgency=low

  * New upstream release
  * Update dependencies for renamed ruby packages
  * puppet-testsuite: Depend on ruby-sqlite3

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 09 Dec 2011 08:50:08 +0100
