## puppet 2.7.11

=== debian/changelog ===
puppet (2.7.11-1ubuntu2.1) precise-security; urgency=low

  * SECURITY UPDATE: Multiple July 2012 security issues
    - debian/patches/2.7.17-Puppet-July-2012-CVE-fixes.patch: upstream
      patch to fix multiple security issues.
    - CVE-2012-3864: arbitrary file read on master from authenticated
      clients
    - CVE-2012-3865: arbitrary file delete or denial of service on master
      from authenticated clients
    - CVE-2012-3866: last_run_report.yaml report file is world readable and
      leads to arbitrary file read on master by an agent
    - CVE-2012-3867: insufficient input validation for agent cert hostnames

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 10 Jul 2012 07:58:03 -0400

puppet (2.7.11-1ubuntu2) precise; urgency=low

  * SECURITY UPDATE: Arbitrary file writes via predictable filename usage in
    appdmg and pkgdmg providers (LP: #978708)
    - debian/patches/CVE-2012-1906_CVE-2012-1986_to_CVE-2012-1989.patch
    - CVE-2012-1906
  * SECURITY UPDATE: Arbitrary file reads via Filebucket REST requests
    - debian/patches/CVE-2012-1906_CVE-2012-1986_to_CVE-2012-1989.patch
    - CVE-2012-1986
  * SECURITY UPDATE: Denial of service via Filebucket text/marshall support
    - debian/patches/CVE-2012-1906_CVE-2012-1986_to_CVE-2012-1989.patch
    - CVE-2012-1987
  * SECURITY UPDATE: Arbitrary code execution via Filebucket requests
    - debian/patches/CVE-2012-1906_CVE-2012-1986_to_CVE-2012-1989.patch
    - CVE-2012-1988
  * SECURITY UPDATE: Arbritrary file writes via predictable telnet output log
    filename
    - debian/patches/CVE-2012-1906_CVE-2012-1986_to_CVE-2012-1989.patch
    - CVE-2012-1989
  * debian/patches/puppet-12844: Re-fetch the patch from upstream since some
    missing pieces cause 'rake spec' to abort immediately

 -- Tyler Hicks <tyhicks@canonical.com>  Wed, 11 Apr 2012 03:55:10 -0500

puppet (2.7.11-1ubuntu1) precise; urgency=low

  [ Marc Cluet ]
  * debian/patches/puppet-12844: Cherry picked patch from upstream 
    2.7.12 to revert new agent lockfile behaviour as it breaks upgrades
    from versions < 2.7.10.  This feature has been pushed out to 
    puppet 3.x by upstream.
  * debian/puppetmaster-passenger.postinst (LP: #948983)
    - Fixed rack directory location
    - Added proper enabling of apache2 headers mod
  * debian/puppetmaster-passenger.postinst (LP: #950183)
    - Make sure we error if puppet config print doesn't work

  [ James Page ]
  * debian/puppetmaster-passenger.postinst:
    - Ensure upgrades from <= 2.7.11-1 fixup passenger apache
      configuration.

 -- Marc Cluet <marc.cluet@ubuntu.com>  Fri, 16 Mar 2012 15:36:35 +0000

puppet (2.7.11-1) unstable; urgency=high

  * New upstream release
  * Urgency set to high due to regressions in previous release
    and security vulnerabilities
  * Execs when run with a user specified, but no group, get the root
    group. Similarly unexpected privileges are given to providers and
    types (egid remains as root), this is fixed with a patch from
    upstream (CVE-2012-1053)
  * Fix Klogin write through symlink (CVE-2012-1054)

 -- Micah Anderson <micah@debian.org>  Thu, 23 Feb 2012 18:24:48 -0500

puppet (2.7.10-2) unstable; urgency=low

  * Use maintscript support in dh_installdeb (Closes: #659612)

 -- Micah Anderson <micah@debian.org>  Thu, 16 Feb 2012 12:22:45 -0500
