=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: puppet
 Section: admin
 Priority: optional
-Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
 Uploaders: Micah Anderson <micah@debian.org>, Andrew Pollock <apollock@debian.org>, Nigel Kersten <nigel@explanatorygap.net>, Stig Sandbeck Mathisen <ssm@debian.org>
 Build-Depends-Indep: ruby (>= 1.8.1), libopenssl-ruby, facter (>= 1.5)
-Build-Depends: debhelper (>= 6.0.7~), openssl
+Build-Depends: debhelper (>= 8.1.0~), openssl
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-puppet/puppet.git
 Vcs-Browser: http://git.debian.org/?p=pkg-puppet/puppet.git
@@ -34,6 +35,7 @@
 
 Package: puppet
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},  puppet-common (= ${binary:Version}), ruby1.8
 Recommends: rdoc
 Suggests: puppet-el, vim-puppet, etckeeper
