=== debian/rules ===
--- 
+++ 
@@ -70,6 +70,12 @@
 	$(INSTALL) -m0644 ext/emacs/puppet-mode.el			\
 		$(CURDIR)/debian/puppet-el/usr/share/emacs/site-lisp/puppet-mode.el
 
+        # etckeeper integration
+	$(INSTALL) -m0755 debian/etckeeper-commit-pre   \
+		$(CURDIR)/debian/puppet-common/etc/puppet/etckeeper-commit-pre
+	$(INSTALL) -m0755 debian/etckeeper-commit-post  \
+		$(CURDIR)/debian/puppet-common/etc/puppet/etckeeper-commit-post
+
 	# Install the rack README as README.rack
 	$(INSTALL) -m0644 ext/rack/README \
 		$(CURDIR)/debian/puppetmaster-passenger/usr/share/doc/puppetmaster-passenger/README.rack
