## puppet 2.7.12

=== debian/changelog ===
puppet (2.7.12-1) unstable; urgency=low

  * New upstream release
  * Fix disabled puppetmaster init script return code (Closes: #661927)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 16 Mar 2012 13:34:56 +0100
