## puppet 2.7.13

=== debian/changelog ===
puppet (2.7.13-1puppetlabs1) hardy jaunty karmic lucid maverick natty oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Imported Upstream version 2.7.13

 -- Matthaus Litteken <matthaus@puppetlabs.com>  Tue, 10 Apr 2012 20:38:23 +0000

puppet (2.7.12-1puppetlabs1) hardy jaunty karmic lucid maverick natty oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Imported Upstream version 2.7.12

 -- Michael Stahnke <stahnma@puppetlabs.com>  Mon, 12 Mar 2012 16:49:40 +0000

puppet (2.7.11-1puppetlabs1) hardy jaunty karmic lucid maverick natty oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Imported Upstream version 2.7.11
  * CVE-2012-1053/1054

 -- Michael Stahnke <stahnma@puppetlabs.com>  Wed, 22 Feb 2012 01:11:43 +0000

puppet (2.7.10-1puppetlabs2) hardy jaunty karmic lucid maverick natty oneiric unstable lenny sid squeeze wheezy; urgency=low

  * (#12498) Add ext directory to puppet-common package. Enable apache2 headers module on passenger install

 -- Matthaus Litteken <matthaus@puppetlabs.com>  Fri, 10 Feb 2012 00:44:48 +0000

puppet (2.7.10-1puppetlabs1) hardy jaunty karmic lucid maverick natty oneiric unstable lenny sid squeeze wheezy; urgency=low

  * Imported Upstream version 2.7.10

 -- Michael Stahnke <stahnma@puppetlabs.com>  Wed, 25 Jan 2012 23:33:34 +0000
