## puppet 2.7.14

=== debian/changelog ===
puppet (2.7.14-2puppetlabs1) hardy jaunty karmic lucid maverick natty oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Add depends of facter < 2.0 to prevent accidental install of 2.0

 -- Moses Mendoza <moses@puppetlabs.com>  Wed, 06 Jun 2012 15:09:38 +0000

puppet (2.7.14-1puppetlabs1) hardy jaunty karmic lucid maverick natty oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Imported Upstream version 2.7.14 

 -- Moses Mendoza <moses@puppetlabs.com>  Wed, 02 May 2012 12:28:38 +0000

puppet (2.7.13-1puppetlabs2) hardy jaunty karmic lucid maverick natty oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * (#14080) Add suggests on ruby-activerecord | libactiverecord-ruby

 -- Matthaus Litteken <matthaus@puppetlabs.com>  Tue, 01 May 2012 19:52:38 +0000
