=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Puppet Labs <info@puppetlabs.com>
 Uploaders: Micah Anderson <micah@debian.org>, Andrew Pollock <apollock@debian.org>, Nigel Kersten <nigel@explanatorygap.net>, Stig Sandbeck Mathisen <ssm@debian.org>
-Build-Depends-Indep: ruby (>= 1.8.1), libopenssl-ruby, facter (>= 1.5)
+Build-Depends-Indep: ruby (>= 1.8.1), libopenssl-ruby, facter (>= 1.5), facter (<< 2.0)
 Build-Depends: debhelper (>= 6.0.7~), openssl
 Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/pkg-puppet/puppet.git
@@ -12,7 +12,7 @@
 
 Package: puppet-common
 Architecture: all
-Depends: ${misc:Depends}, ruby1.8, libxmlrpc-ruby, libopenssl-ruby, libshadow-ruby1.8, libaugeas-ruby1.8, adduser, facter, lsb-base, sysv-rc (>= 2.86) | file-rc
+Depends: ${misc:Depends}, ruby1.8, libxmlrpc-ruby, libopenssl-ruby, libshadow-ruby1.8, libaugeas-ruby1.8, adduser, facter (>= 1.5), facter (<< 2.0),, lsb-base, sysv-rc (>= 2.86) | file-rc
 Recommends: lsb-release, debconf-utils
 Suggests: libselinux-ruby1.8, librrd-ruby1.8
 Breaks: puppet (<< 2.6.0~rc2-1), puppetmaster (<< 0.25.4-1)
@@ -54,11 +54,11 @@
 
 Package: puppetmaster-common
 Architecture: all
-Depends: ${misc:Depends}, ruby1.8, puppet-common (= ${binary:Version}), facter, lsb-base
+Depends: ${misc:Depends}, ruby1.8, puppet-common (= ${binary:Version}), facter (>= 1.5), facter (<< 2.0), lsb-base
 Breaks: puppet (<< 0.24.7-1), puppetmaster (<< 2.6.1~rc2-1)
 Replaces: puppetmaster (<< 2.6.1~rc2-1)
 Suggests: apache2 | nginx, mongrel, puppet-el, vim-puppet, stompserver, libstomp-ruby1.8,
- rails (>= 1.2.3-2), rdoc, libldap-ruby1.8
+ rails (>= 1.2.3-2) | ruby-activerecord | libactiverecord-ruby, rdoc, libldap-ruby1.8
 Description: Puppet master common scripts
  This package contains common scripts for the puppet master, 
  which is the server hosting manifests and files for the puppet nodes.
@@ -76,10 +76,10 @@
 
 Package: puppetmaster
 Architecture: all
-Depends: ${misc:Depends}, ruby1.8, puppetmaster-common (= ${source:Version}), facter, lsb-base
+Depends: ${misc:Depends}, ruby1.8, puppetmaster-common (= ${source:Version}), facter (>= 1.5), facter (<< 2.0), lsb-base
 Breaks: puppet (<< 0.24.7-1)
 Suggests: apache2 | nginx, mongrel, puppet-el, vim-puppet, stompserver, libstomp-ruby1.8,
- rails (>= 1.2.3-2), rdoc, libldap-ruby1.8
+ rails (>= 1.2.3-2) | ruby-activerecord | libactiverecord-ruby, rdoc, libldap-ruby1.8
 Description: Centralized configuration management - master startup and compatibility scripts
  This package contains the startup and compatibility scripts for the puppet
  master, which is the server hosting manifests and files for the puppet nodes.
@@ -97,7 +97,7 @@
 
 Package: puppetmaster-passenger
 Architecture: all
-Depends: ${misc:Depends}, ruby1.8, puppetmaster-common (= ${source:Version}), facter, lsb-base, libapache2-mod-passenger
+Depends: ${misc:Depends}, ruby1.8, puppetmaster-common (= ${source:Version}), facter (>= 1.5), facter (<< 2.0), lsb-base, libapache2-mod-passenger
 Conflicts: puppetmaster (<< 2.6.1~rc2-1)
 Replaces: puppetmaster (<< 2.6.1~rc2-1)
 Description: Centralised configuration management - master setup to run under mod passenger
@@ -134,7 +134,7 @@
 
 Package: puppet-testsuite
 Architecture: all
-Depends: ${misc:Depends}, ruby1.8, puppet-common (= ${source:Version}), facter, lsb-base, rails (>= 1.2.3-2), rdoc, libldap-ruby1.8, mongrel, librspec-ruby, git-core, libmocha-ruby1.8
+Depends: ${misc:Depends}, ruby1.8, puppet-common (= ${source:Version}), facter (>= 1.5), facter (<< 2.0), lsb-base, rails (>= 1.2.3-2), rdoc, libldap-ruby1.8, mongrel, librspec-ruby, git-core, libmocha-ruby1.8
 Recommends: cron
 Suggests: ruby
 Description: Centralized configuration management - test suite
