## puppet 2.7.17

=== puppet-2.7.17/debian/changelog ===
puppet (2.7.17-1puppetlabs1) hardy jaunty karmic lucid maverick natty oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Imported Upstream version 2.7.17

 -- Matthaus Litteken <matthaus@puppetlabs.com>  Tue, 19 Jun 2012 23:43:14 +0000

puppet (2.7.16-2puppetlabs1) hardy jaunty karmic lucid maverick natty oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Combine logrotate configurations for puppetmaster and puppet to resolve duplicate log entry errors

 -- William Hopper <whopper@puppetlabs.com>  Mon, 18 Jun 2012 17:33:00 +0000

puppet (2.7.16-1puppetlabs1) hardy jaunty karmic lucid maverick natty oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Imported Upstream version 2.7.16

 -- Matthaus Litteken <matthaus@puppetlabs.com>  Wed, 13 Jun 2012 21:16:17 +0000

puppet (2.7.16-0.1rc1puppetlabs1) hardy jaunty karmic lucid maverick natty oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Imported Upstream version 2.7.16rc1

 -- Matthaus Litteken <matthaus@puppetlabs.com>  Wed, 06 Jun 2012 23:19:24 +0000

puppet (2.7.15-0.1rc4puppetlabs1) hardy jaunty karmic lucid maverick natty oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Imported Upstream version 2.7.15rc4

 -- Matthaus Litteken <matthaus@puppetlabs.com>  Fri, 01 Jun 2012 22:20:21 +0000

puppet (2.7.15-0.1rc1puppetlabs1) hardy jaunty karmic lucid maverick natty oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Imported Upstream version 2.7.15rc1

 -- Moses Mendoza <moses@puppetlabs.com>  Tue, 15 May 2012 17:30:38 +0000
